import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/depotGrainShed/` + url, ...arg)

/**
 * 库位管理Api接口管理器
 *
 * @author xiang
 * @date  2023/09/14 09:15
 **/
export default {
	// 获取库位管理分页
	depotGrainShedPage(data) {
		return request('page', data, 'get')
	},
	// 获取库位管理列表
	depotGrainShedList(data) {
		return request('list', data, 'get')
	},
	// 提交库位管理表单 edit为true时为编辑，默认为新增
	depotGrainShedSubmitForm(data, edit = false) {
		return request(edit ? 'add' : 'edit', data)
	},
	// 删除库位管理
	depotGrainShedDelete(data) {
		return request('delete', data)
	},
	// 获取库位管理详情
	depotGrainShedDetail(data) {
		return request('detail', data, 'get')
	}
}
